using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Text;

namespace QD_GUI
{
    public class WebUpdateItem
    {
        private string sName = "";
        private string sUrl = "";
        private string sFileName = "";
        private string sLastModified = "";
        private string sLastUpdate = "";

        #region Constructors

        public WebUpdateItem()
        {
        }

        public WebUpdateItem(string vsName)
        {
            this.sName = vsName;
        }

        public WebUpdateItem(string vsName, string vsUrl)
        {
            this.sName = vsName;
            this.sUrl = vsUrl;
        }

        public WebUpdateItem(string vsName, string vsUrl, string vsFileName)
        {
            this.sName = vsName;
            this.sUrl = vsUrl;
            this.sFileName = vsFileName;
        }

        public WebUpdateItem(string vsName, string vsUrl, string vsFileName, string vsLastModified)
        {
            this.sName = vsName;
            this.sUrl = vsUrl;
            this.sFileName = vsFileName;
            this.sLastModified = vsLastModified;
        }

        public WebUpdateItem(string vsName, string vsUrl, string vsFileName, string vsLastModified, string vsLastUpdate)
        {
            this.sName = vsName;
            this.sUrl = vsUrl;
            this.sFileName = vsFileName;
            this.sLastModified = vsLastModified;
            this.sLastUpdate = vsLastUpdate;
        }

        #endregion Constructors

        #region Properties

        public string Name
        {
            get
            {
                return sName;
            }
            set
            {
                sName = value;
            }
        }

        public string Url
        {
            get
            {
                return sUrl;
            }
            set
            {
                sUrl = value;
            }
        }

        public string FileName
        {
            get
            {
                return sFileName;
            }
            set
            {
                sFileName = value;
            }
        }

        public string LastModified
        {
            get
            {
                return sLastModified;
            }
            set
            {
                sLastModified = value;
            }
        }

        public string LastUpdate
        {
            get
            {
                return sLastUpdate;
            }
            set
            {
                sLastUpdate = value;
            }
        }

        #endregion Properties
    }
}
